API recipes

Requests you can copy and run. Each one returns live data from the API.

Examples

Find vacant lots

Programming language

Select the programming language you want to display the code examples in.

Find vacant lots
Pull vacant land in Calgary with lot size, zoning, assessment value, and property taxes. property_type_eq=Land returns lots without a building, useful for builders, developers, and land acquisition teams.
Request
Shell session
curl -X GET "https://api.houski.ca/properties?api_key=YOUR_API_KEY&city=calgary&country_abbreviation=ca&page=1&property_type_eq=Land&province_abbreviation=ab&results_per_page=3&select=address,land_area_sq_m,zoning,assessment_value,property_taxes"
TypeScript code
const houski_recipe_data = async (): Promise<PropertiesResponse> => {

    // You must copy the PropertiesResponse type declarations from the 
    // Houski API documentation to strongly type the response

    const url = new URL('https://api.houski.ca/properties');
    url.searchParams.set('api_key', 'YOUR_API_KEY');
    url.searchParams.set('city', 'calgary');
    url.searchParams.set('country_abbreviation', 'ca');
    url.searchParams.set('page', '1');
    url.searchParams.set('property_type_eq', 'Land');
    url.searchParams.set('province_abbreviation', 'ab');
    url.searchParams.set('results_per_page', '3');
    url.searchParams.set('select', 'address,land_area_sq_m,zoning,assessment_value,property_taxes');

    const response = await fetch(url);
    const data = await response.json();

    return data;
}

(async () => {
let data: PropertiesResponse = await houski_recipe_data();

// Log the response
console.log(data);
})();
Response
JSON
{
  "cache_hit": true,
  "cost_cents": 1.26,
  "data": [
    {
      "address": "518 Rochester Terrace NW",
      "assessment_value": 1300000,
      "land_area_sq_m": 511.2,
      "property_id": "103f92f6cf7bbdd9",
      "property_taxes": 8645,
      "zoning": "R-G"
    },
    {
      "address": "499 Rochester Terrace NW",
      "assessment_value": 888000,
      "land_area_sq_m": 391.6,
      "property_id": "1106094a42c3757d",
      "property_taxes": 5905,
      "zoning": "R-G"
    },
    {
      "address": "95 Royston He NW",
      "assessment_value": 918500,
      "land_area_sq_m": 842.8,
      "property_id": "11aa161875771a70",
      "property_taxes": 6108,
      "zoning": "R-G"
    }
  ],
  "error": "",
  "pagination": {
    "current_page": 1,
    "has_next_page": true,
    "has_previous_page": false,
    "page_total": 5662
  },
  "price_quote": false,
  "result_total": 16985,
  "time_ms": 3401,
  "ui_info": {
    "city": "Calgary",
    "city_id": "6ec95b53075d062c",
    "city_link": "ca/ab/calgary",
    "city_slug": "calgary",
    "country": "Canada",
    "country_abbreviation": "CA",
    "country_abbreviation_id": "9ace2b6431b7f1be",
    "country_abbreviation_link": "ca",
    "country_slug": "canada",
    "province": "Alberta",
    "province_abbreviation": "AB",
    "province_abbreviation_id": "aae1f05a0f89d2c7",
    "province_abbreviation_link": "ca/ab",
    "province_slug": "alberta"
  }
}